Update a document
curl --request POST \
--url https://production.hifibridge.com/v2/users/{userId}/kyc/documents/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"issuedCountry": "<string>",
"issuedDate": "2023-12-25",
"expiryDate": "2023-12-25",
"number": "<string>",
"description": "<string>",
"url": "<string>",
"fileId": "<string>"
}
'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/kyc/documents/{documentId}"
payload = {
"issuedCountry": "<string>",
"issuedDate": "2023-12-25",
"expiryDate": "2023-12-25",
"number": "<string>",
"description": "<string>",
"url": "<string>",
"fileId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
issuedCountry: '<string>',
issuedDate: '2023-12-25',
expiryDate: '2023-12-25',
number: '<string>',
description: '<string>',
url: '<string>',
fileId: '<string>'
})
};
fetch('https://production.hifibridge.com/v2/users/{userId}/kyc/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d9f38450-ec16-4a4b-bf69-f8c88bb73a94",
"type": "PASSPORT",
"subType": "SINGLE_SIDE",
"issuedCountry": "USA",
"issuedDate": null,
"expiryDate": null,
"number": null,
"description": null,
"url": "https://example.com/doc_123",
"fileId": "file_zEFpbPhk71NaQfEVMR544"
}KYC
Update a document
Update a document for the user.
POST
/
v2
/
users
/
{userId}
/
kyc
/
documents
/
{documentId}
Update a document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Update Individual Document
- Update Business Document
Three-letter alpha-3 country code as defined in the ISO 3166-1 spec.
Date of issue of the document.
Expiry date of the document.
If applicable, unique identification number of the document.
Description of the document. Required if type is OTHER.
URL of the document. Either url or fileId is required, but not both.
*Maximum file size 10MB and minimum file size 10KB
*Valid file types: .pdf, .jpeg, .jpg, .png, .heic, .tif
The file ID returned from the file upload endpoint. Either url or fileId is required, but not both.
⌘I